;Sample POOL code, you may use it, modify it
;and distribute it under the GPL license.
;Authors: R&D Independent Team
;Source: www.pool-rnd.com

window ht
:pool_cfg,"scale_x := 150
:pool_cfg,"scale_y := 150
shared [p hold]
"hold := true

to attractor ;base class: clifford, grayscale
  to f
    op (radsin :t,1 * :xy,2) + :t,3 * (radcos :t,1 * :xy,1)
  end

  to g
    op (radsin :t,2 * :xy,1) + :t,4 * (radcos :t,2 * :xy,2)
  end

  to modify_at :pt
    let "c (pointat :pt),4
    if runif 1 > (0.01 * :c)^(1/4) [
      (setpointat :pt {0 0 0} :c + 0.4)
    ]
  end

  let "xy {0 0}
  to next
    let "ny g
    :xy,1 := f
    :xy,2 := :ny
    op :xy
  end

  "t0 := {-1.4 1.6 1 0.7}
  let "t newarray 4
  to go
    ifelse not null? :p [
      repeat count :t [:t,repcount := getvalue :p,repcount]
    ]
    [repeat count :t [:t,repcount := :t0,repcount]]
    while not :hold [modify_at next]
  end
end

