;Sample POOL code, you may use it, modify it
;and distribute it under the GPL license.
;Authors: R&D Independent Team
;Source: www.pool-rnd.com

;1. Adjust these values to change the attractor shape.
let "t {-1.4 1.6 1 0.7}

;2. Experiment with different formulas of f and g functions.
to f
  op (radsin :t,1 * :xy,2) + :t,3 * (radcos :t,1 * :xy,1)
end

to g
  op (radsin :t,2 * :xy,1) + :t,4 * (radcos :t,2 * :xy,2)
end

let "xy {0 0}
to next ;step on the attractor
  let "ny g
  :xy,1 := f
  :xy,2 := :ny
  op :xy
end

window ht
:pool_cfg,"scale_x := 150
:pool_cfg,"scale_y := 150

repeat 2000000 [
  let "c pointat next
  :c,4 += 0.4
  (setpointat :xy :c)
]
print "done
